import { Injector } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { noop } from '@s-libs/micro-dash';
import * as i0 from "@angular/core";
export declare abstract class AbstractValueAccessorDirective<T extends HTMLElement> implements ControlValueAccessor {
    onChangeFn: (value: any) => void;
    onTouchedFn: typeof noop;
    private elementRef;
    constructor(injector: Injector);
    protected get element(): T;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    abstract writeValue(value: unknown): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractValueAccessorDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AbstractValueAccessorDirective<any>, never, never, {}, {}, never, never, false, never>;
}
